Subject: bug#23594: 25.0.94; Display errors on Linux tty

From: Alan Mackenzie <[email-masked]>
Date: Sun, 22 May 2016 20:03:04 +0000

Hello, Eli.

On Sun, May 22, 2016 at 07:50:24PM +0300, Eli Zaretskii wrote:
> > Date: Sun, 22 May 2016 16:16:51 +0000
> > Cc: [email-masked]
> > From: Alan Mackenzie <[email-masked]>

> > could it be that the display engine is actually outputting a raw
> > 0x0a byte

> Of course!  Isn't that what I said at the beginning of this
> discussion?

Yes it was, but that was rather a long time ago.  ;-)  I've been poring
over code since then, which left me somewhat confused.  It's difficult
stuff.

> > rather than handling it sensibly?

> It was forbidden from doing "sensible" things by the composition
> trick.

OK.

> I think the best fix that is safe for Emacs 25.1 is simply to avoid
> displaying the "decomposition" part for low control characters -- they
> cannot be composed anyway, AFAIU.

OK, I'll come with a patch to do that.

-- 
Alan Mackenzie (Nuremberg, Germany).